org.eclipse.zest.layouts

## Interface LayoutEntity

All Superinterfaces:
  java.lang.Comparable, LayoutItem

All Known Subinterfaces:
  NestedLayoutEntity

    public interface LayoutEntity
    extends java.lang.Comparable, LayoutItem

This represents a single entity, providing the layout algorithms with a common interface to run on.

### Field Summary

Fields
`static java.lang.String` `ATTR_PREFERRED_HEIGHT`
`static java.lang.String` `ATTR_PREFERRED_WIDTH`

### Method Summary

Methods
`double` `getHeightInLayout()`
`java.lang.Object` `getLayoutInformation()`
`double` `getWidthInLayout()`
`double` `getXInLayout()`
`double` `getYInLayout()`
`void` `populateLayoutConstraint(LayoutConstraint constraint)` Classes should update the specified layout constraint if recognized
`void` `setLayoutInformation(java.lang.Object internalEntity)`
`void` `setLocationInLayout(double x, double y)`
`void` `setSizeInLayout(double width, double height)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

### Field Detail

#### ATTR_PREFERRED_WIDTH

    static final java.lang.String ATTR_PREFERRED_WIDTH

See Also:
  Constant Field Values

#### ATTR_PREFERRED_HEIGHT

    static final java.lang.String ATTR_PREFERRED_HEIGHT

See Also:
  Constant Field Values

### Method Detail

#### setLocationInLayout

    void setLocationInLayout(double x,
                           double y)

#### setSizeInLayout

    void setSizeInLayout(double width,
                       double height)

#### getXInLayout

    double getXInLayout()

#### getYInLayout

    double getYInLayout()

#### getWidthInLayout

    double getWidthInLayout()

#### getHeightInLayout

    double getHeightInLayout()

#### getLayoutInformation

    java.lang.Object getLayoutInformation()

#### setLayoutInformation

    void setLayoutInformation(java.lang.Object internalEntity)

#### populateLayoutConstraint

    void populateLayoutConstraint(LayoutConstraint constraint)

Classes should update the specified layout constraint if recognized